﻿namespace EJGrid.Models
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Web;
    using EJGrid.Models;
    using System.Data.SqlClient;
    using System.Data;
    using System.Data.Entity;
    using EJGrid;


    public static class OrderRepository
    {
       public static NORTHWNDEntities1 obj = new NORTHWNDEntities1();
        public static IList<EditableOrder> GetAllRecords()
        {
            IList<EditableOrder> orders = (from ord in new NORTHWNDEntities1().Orders.Take(200)
                                                                  select new EditableOrder
                                                                  {
                                                                      OrderID = ord.OrderID,  
                                                                      CustomerID = ord.CustomerID,
                                                                      EmployeeID = ord.EmployeeID,
                                                                      Freight = ord.Freight,
                                                                      ShipCity = ord.ShipCity,
                                                                      OrderDate=ord.OrderDate,
                                                                      ShipName=ord.ShipName,
                                                                      ShipCountry=ord.ShipCountry,
                                                                      ShipPostalCode=ord.ShipPostalCode,
                                                                      
                                                                  }).ToList();
                foreach (var order in orders)
                {
                    order.child = new ChildClass {  Name= "Name"};
                    if (order.Freight > 30)
                        order.Verified = true;
                    else
                        order.Verified = false;
                }
            
            return orders;
        }

        public static IList<EditableOrder> Update(Order order)
        {
           obj.Entry(order).State = EntityState.Modified;
            obj.SaveChanges();
            var data = OrderRepository.GetAllRecords();
            return data;
        }
        public static IList<EditableOrder> Delete(int OrderID)
        {
            var ord = obj.Orders.Find(OrderID);
            obj.Orders.Remove(ord);
            obj.SaveChanges();
            var data = OrderRepository.GetAllRecords();
            return data;
        }
        public static IList<EditableOrder> Add(Order order)
        {
            obj.Orders.Add(order);
            obj.SaveChanges();
            var data = OrderRepository.GetAllRecords();
            return data;
        }
       
    }
}
